************
* PCEDPLAN *
************
USE &planning INDEX &planning
FIND &cur:prod

ERASE
STORE "." TO akk
DO WHILE .NOT. akk $ "jJ"
   STORE "." TO akk
   *
   * Van recordvariabelen naar geheugenvariabelen
   *
   STORE $(ontw:ts,1,8)  TO ots:plan
   STORE $(ontw:ts,10,8) TO ots:act
   STORE $(ontw:ts,19,8) TO ots:akk
   *
   STORE $(schn:ts,1,8)  TO sts:plan
   STORE $(schn:ts,10,8) TO sts:act
   STORE $(schn:ts,19,8) TO sts:akk
   *
   STORE $(werktek,1,8)  TO wrk:plan
   STORE $(werktek,10,8) TO wrk:act
   STORE $(werktek,19,8) TO wrk:akk
   *
   STORE $(zetwerk,1,8)  TO ztw:plan
   STORE $(zetwerk,10,8) TO ztw:act
   STORE $(zetwerk,19,8) TO ztw:akk
   *
   STORE $(proef,1,8)  TO prf:plan
   STORE $(proef,10,8) TO prf:act
   STORE $(proef,19,8) TO prf:akk
   *
   STORE $(films,1,8)  TO flm:plan
   STORE $(films,10,8) TO flm:act
   STORE $(films,19,8) TO flm:akk
   *
   STORE $(adr:drag,1,8)  TO add:plan
   STORE $(adr:drag,10,8) TO add:act
   STORE $(adr:drag,19,8) TO add:akk
   *
   STORE $(nabewerk,1,8)  TO nab:plan
   STORE $(nabewerk,10,8) TO nab:act
   STORE $(nabewerk,19,8) TO nab:akk
   *
   STORE $(afwerk,1,8)  TO afw:plan
   STORE $(afwerk,10,8) TO afw:act
   STORE $(afwerk,19,8) TO afw:akk
   *
   @  1,10 SAY "--READER'S DIGEST PRODUCTION ADMINISTRATION CONTROL SYSTEM--" 
   @  2,10 SAY "----------------- WIJZIGEN PLANNINGGEGEVENS ----------------"
   @  4, 0 SAY "PRODUKTIENUMMER"
   @  4,16 SAY $(prod:nr,1,2) + "/" + $(prod:nr,3,5)
   @  6, 9 SAY "MARK.BRIEFING"
   @  6,26 GET mark:brf PICTURE "##/##/##"
   @  6,49 SAY "DPP"
   @  6,56 GET dpp PICTURE "##/##/##"
   @  7,18 SAY "PRIM"
   @  7,26 GET prim PICTURE "##/##/##"
   @  7,38 SAY "CREAT. MEETING"
   @  7,56 GET creat:mt PICTURE "##/##/##"
   @  8, 8 SAY "BULK SCREENING"
   @  8,26 GET bulk:scr PICTURE "##/##/##"
   @  8,40 SAY "BESTELBONNEN"
   @  8,56 GET best:bon PICTURE "##/##/##"
   @  9,19 SAY "FPP"
   @  9,26 GET fpp PICTURE "##/##/##"
   @ 11,26 SAY "-GEPLAND--"
   @ 11,41 SAY "--ACTUAL--"
   @ 11,56 SAY "-AKKOORD--"
   @ 12, 2 SAY "ONTWERP TEKST-SCHETS"
   @ 12,26 GET ots:plan PICTURE "##/##/##"
   @ 12,41 GET ots:act  PICTURE "##/##/##"
   @ 12,56 GET ots:akk  PICTURE "##/##/##"
   @ 13, 3 SAY "SCHONE TEKST-SCHETS"
   @ 13,26 GET sts:plan PICTURE "##/##/##"
   @ 13,41 GET sts:act  PICTURE "##/##/##"
   @ 13,56 GET sts:akk  PICTURE "##/##/##"
   @ 14,10 SAY "WERKTEKENING"
   @ 14,26 GET wrk:plan PICTURE "##/##/##"
   @ 14,41 GET wrk:act  PICTURE "##/##/##"
   @ 14,56 GET wrk:akk  PICTURE "##/##/##"
   @ 15,15 SAY "ZETWERK"
   @ 15,26 GET ztw:plan PICTURE "##/##/##"
   @ 15,41 GET ztw:act  PICTURE "##/##/##"
   @ 15,56 GET ztw:akk  PICTURE "##/##/##"
   @ 16,17 SAY "PROEF"
   @ 16,26 GET prf:plan PICTURE "##/##/##"
   @ 16,41 GET prf:act  PICTURE "##/##/##"
   @ 16,56 GET prf:akk  PICTURE "##/##/##"
   @ 17,17 SAY "FILMS"
   @ 17,26 GET flm:plan PICTURE "##/##/##"
   @ 17,41 GET flm:act  PICTURE "##/##/##"
   @ 17,56 GET flm:akk  PICTURE "##/##/##"
   @ 18,11 SAY "ADRESDRAGER"
   @ 18,26 GET add:plan PICTURE "##/##/##"
   @ 18,41 GET add:act  PICTURE "##/##/##"
   @ 18,56 GET add:akk  PICTURE "##/##/##"
   @ 19,12 SAY "NABEWERKER"
   @ 19,26 GET nab:plan PICTURE "##/##/##"
   @ 19,41 GET nab:act  PICTURE "##/##/##"
   @ 19,56 GET nab:akk  PICTURE "##/##/##"
   @ 20,13 SAY "AFWERKING"
   @ 20,26 GET afw:plan PICTURE "##/##/##"
   @ 20,41 GET afw:act  PICTURE "##/##/##"
   @ 20,56 GET afw:akk  PICTURE "##/##/##"
   @ 20,68 SAY "AKKOORD :.:"
   @ 22,58 SAY "HUIDIGE DATUM"
   @ 22,72 SAY sysdate
   READ
   CLEAR GETS
   @ 21,0 SAY " "
   *
   * Van geheugenvariabelen naar recordvariabelen
   *
   REPLACE ontw:ts WITH ots:plan + ":" + ots:act + ":" + ots:akk, schn:ts WITH sts:plan + ":" + sts:act + ":" + sts:akk, werktek WITH wrk:plan + ":" + wrk:act + ":" + wrk:akk
   REPLACE zetwerk WITH ztw:plan + ":" + ztw:act + ":" + ztw:akk, proef WITH prf:plan + ":" + prf:act + ":" + prf:akk, films WITH flm:plan + ":" + flm:act + ":" + flm:akk
   REPLACE adr:drag WITH add:plan + ":" + add:act + ":" + add:akk, nabewerk WITH nab:plan + ":" + nab:act + ":" + nab:akk, afwerk WITH afw:plan + ":" + afw:act + ":" + afw:akk
   *
   STORE F TO date:must
   STORE F TO date:error
   STORÅ mark:brf TÏ datum
   DO pcsytd
   IF .NOT. date:okay
      REPLACE mark:brf WITH datum
      STORE T TO date:error
   ENDIF
   STORE dpp TO datum
   DO pcsytd
   IF .NOT. date:okay
      REPLACE dpp WITH datum
      STORE T TO date:error
   ENDIF
   STORE prim TO datum
   DO pcsytd
   IF .NOT. date:okay
      REPLACE prim WITH datum
      STORE T TO date:error
   ENDIF
   STORE creat:mt TO datum
   DO pcsytd
   IF .NOT. date:okay
      REPLACE creat:mt WITH datum
      STORE T TO date:error
   ENDIF
   STORE bulk:scr TO datum
   DO pcsytd
   IF .NOT. date:okay
      REPLACE bulk:scr WITH datum
      STORE T TO date:error
   ENDIF
   STORE best:bon TO datum
   DO pcsytd
   IF .NOT. date:okay
      REPLACE best:bon WITH datum
      STORE T TO date:error
   ENDIF
   STORE fpp TO datum
   DO pcsytd
   IF .NOT. date:okay
      REPLACE fpp WITH datum
      STORE T TO date:error
   ENDIF
   STORE ontw:ts TO datum
   DO pcsytd
   IF .NOT. date:okay
      REPLACE ontw:ts WITH datum
      STORE T TO date:error
   ENDIF
   STORE schn:ts TO datum
   DO pcsytd
   IF .NOT. date:okay
      REPLACE schn:ts WITH datum
      STORE T TO date:error
   ENDIF
   STORE werktek TO datum
   DO pcsytd
   IF .NOT. date:okay
      REPLACE werktek WITH datum
      STORE T TO date:error
   ENDIF
   STORE zetwerk TO datum
   DO pcsytd
   IF .NOT. date:okay
      REPLACE zetwerk WITH datum
      STORE T TO date:error
   ENDIF
   STORE proef TO datum
   DO pcsytd
   IF .NOT. date:okay
      REPLACE proef WITH datum
      STORE T TO date:error
   ENDIF
   STORE films TO datum
   DO pcsytd
   IF .NOT. date:okay
      REPLACE films WITH datum
      STORE T TO date:error
   ENDIF
   STORE adr:drag TO datum
   DO pcsytd
   IF .NOT. date:okay 
      REPLACE adr:drag WITH datum
      STORE T TO date:error
   ENDIF
   STORE nabewerk TO datum
   DO pcsytd
   IF .NOT. date:okay
      REPLACE nabewerk WITH datum
      STORE T TO date:error
   ENDIF
   STORE afwerk TO datum
   DO pcsytd
   IF .NOT. date:okay
      REPLACE afwerk WITH datum
      STORE T TO date:error
   ENDIF
   IF .NOT. date:error
      DO WHILE .NOT. (akk $ "jJnN")
         STORE "." TO akk
         @ 20,76 GET akk PICTURE "!"
         READ
         CLEAR GETS
      ENDDO
   ENDIF
ENDDO 
*
USE
*
* Geef geheugenvariabelen vrij
*
RELEASE ots:plan,ots:act,ots:akk,sts:plan,sts:act,sts:akk,wrk:plan,wrk:act,wrk:akk
RELEASE ztw:plan,ztw:act,ztw:akk,prf:plan,prf:act,prf:akk,flm:plan,flm:act,flm:akk
RELEASE add:plan,add:act,add:akk,nab:plan,nab:act,nab:akk,afw:plan,afw:act,afw:akk
*
RETURN
*
* EINDE PROGRAMMA
*


